## GdaReportDocbookDocument GdaReportDocbookDocument — Report document based on the DocBook dialect |

## Stability Level

Stable, unless otherwise indicated

## Synopsis

    struct              GdaReportDocbookDocument;
    GdaReportDocument * gda_report_docbook_document_new     (GdaReportEngine *engine);

## Object Hierarchy

      GObject
       +----GdaReportDocument
             +----GdaReportDocbookDocument

## Properties

      "fo-stylesheet"            gchar*                : Read / Write
      "fop-path"                 gchar*                : Read / Write
      "html-stylesheet"          gchar*                : Read / Write
      "java-home"                gchar*                : Read / Write

## Description

## Details

### struct GdaReportDocbookDocument

    struct GdaReportDocbookDocument;

### gda_report_docbook_document_new ()

    GdaReportDocument * gda_report_docbook_document_new     (GdaReportEngine *engine);

Creates a new GdaReportDocbookDocument using `engine` if specified

`engine` : | a GdaReportEngine, or `NULL`
Returns : | a new GdaReportDocbookDocument object

## Property Details

### The `"fo-stylesheet"` property

      "fo-stylesheet"            gchar*                : Read / Write

Default value: NULL

### The `"fop-path"` property

      "fop-path"                 gchar*                : Read / Write

Default value: NULL

### The `"html-stylesheet"` property

      "html-stylesheet"          gchar*                : Read / Write

Default value: NULL

### The `"java-home"` property

      "java-home"                gchar*                : Read / Write

Default value: NULL

## See Also

GdaReportDocument